from sqlalchemy import Column, Integer, ForeignKey, Table

from app.db.base import Base

# Association table for many-to-many relationship between todos and tags
todo_tags = Table(
    "todo_tags",
    Base.metadata,
    Column(
        "todo_id", Integer, ForeignKey("todos.id", ondelete="CASCADE"), primary_key=True
    ),
    Column(
        "tag_id", Integer, ForeignKey("tags.id", ondelete="CASCADE"), primary_key=True
    ),
)
